/**
 * Hoofbaby -- http://www.dsource.org/projects/hoofbaby
 * Copyright (C) 2009 Robert Fraser
 * 
 * This program is free software; you can redistribute it andor
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
#ifndef _PLATIF_H
#define _PLATIF_H

#include "../dtypes.h"

#if __D
module hoofbaby.platinum.platif;
import hoofbaby.util.sharedlib;
#endif

struct Hoofbaby
{
	int (*Stream_New)(void**);
	int (*Stream_Read)(void*, void*, D_LUINT, D_LUINT*);
	int (*Stream_Seek)(void*, D_ULONG);
	int (*Stream_Tell)(void*, D_ULONG*);
	int (*Stream_GetSize)(void*, D_ULONG*);
	int (*Stream_GetAvailable)(void*, D_ULONG*);
};

BEGIN_DFUNCTIONS("platif")
	FUN(initHoofbaby, void, (Hoofbaby* interf))
	FUN(startServer,  int,  (D_CONST char* path))
END_DFUNCTIONS

#endif
